- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - LimitToNotInQueue
  - LimitToGlobal
  - LimitToQueue
  - AddRecord

# NAME

      RT::Templates - a collection of RT Template objects

# SYNOPSIS

      use RT::Templates;

# DESCRIPTION

# METHODS

## LimitToNotInQueue

Takes a queue id # and limits the returned set of templates to those which aren't that queue's templates.

## LimitToGlobal

Takes no arguments. Limits the returned set to "Global" templates which can be used with any queue.

## LimitToQueue

Takes a queue id # and limits the returned set of templates to that queue's templates

## AddRecord

Overrides the collection to ensure that only templates the user can see are returned.

← Back to index